maven json repository 遇到的问题
博客专区 > D-li 的博客 > 博客详情
maven json repository 遇到的问题
D-li 发表于3年前
maven json repository 遇到的问题
  • 发表于 3年前
  • 阅读 700
  • 收藏 1
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

摘要: 报错日志:java.lang.UnsupportedClassVersionError: org/json/JSONObject : Unsupported major.minor version 52.0
项目需要用到json,就选择了 20141113 这个最新的版本。发现项目运行会报错,报错日志如下:
java.lang.UnsupportedClassVersionError: org/json/JSONObject : Unsupported major.minor version 52.0
项目中用的jdk是1.7,支持不了。
最后发现只要降低版本就可以了。
<dependency>
            <groupId>org.json</groupId>
            <artifactId>json</artifactId>
            <version>20140107</version>
</dependency>

这样就可以了。


  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 1
博文 9
码字总数 1368
×
D-li
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: